Index: src/include/prep.h
===================================================================
--- src/include/prep.h	(revision 4977)
+++ src/include/prep.h	(working copy)
@@ -243,7 +243,7 @@
 
 /*  ---------------------------------------------------------------------------------------------------------
     The compatibility namespace is intended for workarounds that try to cope with incompatibilities in different
-    wxWidgets versions. Since these often involve missing functions or constants, #ifdef is explicitely allowed
+    wxWidgets versions. Since these often involve missing functions or constants, #ifdef is explicitly allowed
     and not frowned upon in this namespace.
 
     wxHideReadonly
Index: src/plugins/astyle/astyle/ASFormatter.cpp
===================================================================
--- src/plugins/astyle/astyle/ASFormatter.cpp	(revision 4977)
+++ src/plugins/astyle/astyle/ASFormatter.cpp	(working copy)
@@ -321,7 +321,7 @@
 		{
 			appendCurrentChar();
 
-			// explicitely break a line when a line comment's end is found.
+			// explicitly break a line when a line comment's end is found.
 			if (charNum + 1 == (int) currentLine.length())
 			{
 				isInLineBreak = true;
@@ -401,7 +401,7 @@
 			formattedLineCommentNum = formattedLine.length();
 			appendSequence(AS_OPEN_LINE_COMMENT);
 			goForward(1);
-			// explicitely break a line when a line comment's end is found.
+			// explicitly break a line when a line comment's end is found.
 			if (charNum + 1 == (int) currentLine.length())
 			{
 				isInLineBreak = true;
Index: src/plugins/compilergcc/resources/compiler_options.xrc
===================================================================
--- src/plugins/compilergcc/resources/compiler_options.xrc	(revision 4977)
+++ src/plugins/compilergcc/resources/compiler_options.xrc	(working copy)
@@ -1151,14 +1151,14 @@
                             </object>
                             <object class="sizeritem">
                               <object class="wxCheckBox" name="chkIncludeFileCwd">
-                                <label>Explicitely add currently compiling file's directory to compiler search dirs</label>
+                                <label>Explicitly add currently compiling file's directory to compiler search dirs</label>
                               </object>
                               <flag>wxBOTTOM|wxLEFT|wxRIGHT|wxGROW</flag>
                               <border>8</border>
                             </object>
                             <object class="sizeritem">
                               <object class="wxCheckBox" name="chkIncludePrjCwd">
-                                <label>Explicitely add project's top-level directory to compiler search dirs</label>
+                                <label>Explicitly add project's top-level directory to compiler search dirs</label>
                               </object>
                               <flag>wxBOTTOM|wxLEFT|wxRIGHT|wxGROW</flag>
                               <border>8</border>
Index: src/sdk/resources/scripting_security_dlg.xrc
===================================================================
--- src/sdk/resources/scripting_security_dlg.xrc	(revision 4977)
+++ src/sdk/resources/scripting_security_dlg.xrc	(working copy)
@@ -73,7 +73,7 @@
 the source of this script or you are confident enough that the above command is
 harmless for your system.
 
-If you mark the script as &quot;trusted&quot; you declare that you trust this script and explicitely
+If you mark the script as &quot;trusted&quot; you declare that you trust this script and explicitly
 allow it to execute privileged commands. You should only trust scripts that you wrote
 yourself or if they come from a trusty source.</label>
                 </object>
Index: src/src/app.cpp
===================================================================
--- src/src/app.cpp	(revision 4977)
+++ src/src/app.cpp	(working copy)
@@ -337,7 +337,7 @@
     MainFrame *frame = new MainFrame();
     wxUpdateUIEvent::SetUpdateInterval(100);
     SetTopWindow(0);
-    //frame->Hide(); // shouldn't need this explicitely
+    //frame->Hide(); // shouldn't need this explicitly
 #ifdef __WXMSW__
     if (!m_NoDDE)
     {
Index: src/src/resources/scripting_settings.xrc
===================================================================
--- src/src/resources/scripting_settings.xrc	(revision 4977)
+++ src/src/resources/scripting_settings.xrc	(working copy)
@@ -134,7 +134,7 @@
 										<orient>wxVERTICAL</orient>
 										<object class="sizeritem">
 											<object class="wxStaticText" name="ID_STATICTEXT3">
-												<label>When a script tries to perform any of the following operations, it is first checked&#x0D;&#x0A;whether it is allowed to do so. If it is not, then you are asked whether to allow it&#x0D;&#x0A;or not (on a case-by-case basis).&#x0D;&#x0A;By checking a box below, you explicitely allow the releveant operation to be&#x0D;&#x0A;performed by any script (without you being asked again).</label>
+												<label>When a script tries to perform any of the following operations, it is first checked&#x0D;&#x0A;whether it is allowed to do so. If it is not, then you are asked whether to allow it&#x0D;&#x0A;or not (on a case-by-case basis).&#x0D;&#x0A;By checking a box below, you explicitly allow the relevant operation to be&#x0D;&#x0A;performed by any script (without you being asked again).</label>
 											</object>
 											<flag>wxALL|wxEXPAND|wxALIGN_LEFT|wxALIGN_TOP</flag>
 											<border>5</border>
